<main>
    <nav class="menu">
        <h1 class="logo">Venom</h1>
        <div data-link="" class="active">Overview</div>
        <div data-link="">Roles</div>
        <div data-link="">Users</div>
        <div data-link="">Venom-Status</div>
        <div data-link="">Pages</div>
        <div data-link="">Editor</div>
        <div data-link="">Meta Data</div>
        <div data-link="">SEO-URL</div>
        <div data-link="/admin/api/login/logout">Ausloggen</div>
    </nav>
    <div class="content-area">
        <h2>Roles</h2>
        <div class="max-width">
            <h3>Overview</h3>
            <div class="text">Admin (secured)
                <div class="icon icon-visibility"></div>
            </div>
            <div class="text">Moderator
                <div class="icon icon-edit"></div>
            </div>
            <div class="text">Predator
                <div class="icon icon-edit"></div>
            </div>
            <h3>Add new Role</h3>
            <div class="add-new-role max-width">
                <div class="input-group">
                    <input id="new-role-name" required name="newRoleName">
                    <label for="new-role-name">New Role Name</label>
                    <span class="error">New Role Name is required</span>
                </div>
                <div class="icon icon-add"></div>
            </div>
        </div>
        <hr>
        <div>
            <h2>Role: Admin</h2>
            <div class="switch">
                <input type="checkbox" id="role-active" required name="roleActive">
                <label for="role-active"></label>
                <span>If enabled role is active.</span>
            </div>
            <div class="change-role-name max-width">
                <h3>Change Name</h3>
                <div class="input-group">
                    <input id="change-role-name" required name="roleName">
                    <label for="change-role-name">Role Name: Admin</label>
                    <span class="error">Role Name is required</span>
                </div>
            </div>
            <div class="change-view-permissions">
                <h3>View Permissions</h3>
                <div class="checkbox-group">
                    <div class="switch">
                        <input type="checkbox" id="permission-view-meta-data" required
                               name="permissionViewMetaData">
                        <label for="permission-view-meta-data"></label>
                        <span>Meta-Data</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-pages" required name="permissionViewPages">
                        <label for="permission-view-pages"></label>
                        <span>Pages</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-roles" required name="permissionViewRoles">
                        <label for="permission-view-roles"></label>
                        <span>Roles</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-seo-url" required name="permissionViewSeoUrl">
                        <label for="permission-view-seo-url"></label>
                        <span>SEO-URL</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-label" required name="permissionViewUsers">
                        <label for="permission-view-label"></label>
                        <span>Users</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-venom-status" required
                               name="permissionViewVenomStatus">
                        <label for="permission-view-venom-status"></label>
                        <span>VENOM-Status</span>
                    </div>
                </div>
            </div>
            <div class="change-view-permissions">
                <h3>View Permissions</h3>
                <div class="checkbox-group">
                    <div class="switch">
                        <input type="checkbox" id="permission-view-meta-data" required
                               name="permissionViewMetaData">
                        <label for="permission-view-meta-data"></label>
                        <span>Meta-Data</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-pages" required name="permissionViewPages">
                        <label for="permission-view-pages"></label>
                        <span>Pages</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-roles" required name="permissionViewRoles">
                        <label for="permission-view-roles"></label>
                        <span>Roles</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-seo-url" required name="permissionViewSeoUrl">
                        <label for="permission-view-seo-url"></label>
                        <span>SEO-URL</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-label" required name="permissionViewUsers">
                        <label for="permission-view-label"></label>
                        <span>Users</span>
                    </div>

                    <div class="switch">
                        <input type="checkbox" id="permission-view-venom-status" required
                               name="permissionViewVenomStatus">
                        <label for="permission-view-venom-status"></label>
                        <span>VENOM-Status</span>
                    </div>
                </div>
            </div>

            <button class="btn btn--primary">
                <span class="btn-ripple"></span>
                <span class="btn__content">Save</span>
            </button>
        </div>
    </div>
</main>
